*-----------------------------------------------------------------------
      SUBROUTINE SGLAXU(UX1,UY1,UX2,UY2,ITYPE,INDEX,ICOLOR)

      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLAXU','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (ITYPE.EQ.0) THEN
        CALL MSGDMP('M','SGLAXU','LINETYPE IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLAXU','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLAXU','LINE INDEX IS INVALID.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLAOP(ITYPE,INDEX)
      CALL SZLAZU(UX1,UY1,UX2,UY2)
      CALL SZLACL

      CALL SWSFCM(.FALSE.)

      END
